// Section with horizontal scroll
@mixin horizontal_scroll {
    white-space: nowrap; 
    overflow-x: auto; 
    -webkit-overflow-scrolling: touch; 
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

// Custom box shadow
@mixin box_shadow($shadow_color,$spread_size) {
    -moz-box-shadow: 0 4px $spread_size -8px $shadow_color;
    -webkit-box-shadow: 0 4px $spread_size -8px $shadow_color;
    box-shadow: 0 4px $spread_size -8px $shadow_color;
}

// Custom placeholder
@mixin placeholder {
    @include optional-at-root('::-webkit-input-placeholder') {
        @content;
    }

    @include optional-at-root(':-moz-placeholder') {
        @content;
    }

    @include optional-at-root('::-moz-placeholder') {
        @content;
    }

    @include optional-at-root(':-ms-input-placeholder') {
        @content;
    }
}
